Bug 833737 (CVE-2012-2749) - CVE-2012-2749 mysql: crash caused by wrong calculation of key length for sort order index
Summary: CVE-2012-2749 mysql: crash caused by wrong calculation of key length for sort...
Status: CLOSED ERRATA
Alias: CVE-2012-2749
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120404,reported=2...
Keywords: Security
Depends On: 871813 871814 892679 892680
Blocks: mysql-cpu-2012-07 833743
TreeView+ depends on / blocked
 
Reported: 2012-06-20 08:27 UTC by Tomas Hoger
Modified: 2019-06-08 19:10 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-01-23 06:32:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1462 normal SHIPPED_LIVE Important: mysql security update 2012-11-15 01:51:48 UTC
Novell 767848 None None None 2012-06-20 08:29:41 UTC
Red Hat Product Errata RHSA-2013:0180 normal SHIPPED_LIVE Important: mysql security update 2013-01-22 23:34:58 UTC

Description Tomas Hoger 2012-06-20 08:27:37 UTC
MySQL versions 5.1.63 and 5.5.24 fix the following bug noted in the 5.1.63 release notes:

 * Security Fix: Bug #59387 was fixed.

 http://dev.mysql.com/doc/refman/5.1/en/news-5-1-63.html

This bug is also fixed in 5.5.24, but not mentioned in the release notes or changelog.

Related upstream change is:

http://bazaar.launchpad.net/~mysql/mysql-server/5.1/revision/3560.10.16
Bug#11766300 59387: FAILING ASSERTION: CURSOR->POS_STATE == 1997660512 (BTR_PCUR_IS_POSITIONE
Bug#13639204 64111: CRASH ON SELECT SUBQUERY WITH NON UNIQUE INDEX

This issue allows non-admin database user with full SQL access to crash mysqld.  Upstream commit explains issue details:

  The crash happened due to wrong calculation of key length during
  creation of reference for sort order index. The problem is that
  keyuse->used_tables can have OUTER_REF_TABLE_BIT enabled but
  used_tables parameter(create_ref_for_key() func) does not have it.
  So key parts which have OUTER_REF_TABLE_BIT are ommited and it could
  lead to incorrect key length calculation(zero key length).

Comment 1 Tomas Hoger 2012-06-20 08:30:46 UTC
Related upstream bugs remain non-public:
  http://bugs.mysql.com/bug.php?id=59387
  http://bugs.mysql.com/bug.php?id=64111

Comment 3 errata-xmlrpc 2012-11-14 20:53:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html

Comment 7 errata-xmlrpc 2013-01-22 18:35:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0180 https://rhn.redhat.com/errata/RHSA-2013-0180.html


Note You need to log in before you can comment on or make changes to this bug.